org.apache.poi.sl.draw.binding

## Enum STBlackWhiteMode

- java.lang.Object
- - java.lang.Enum<STBlackWhiteMode>
  - - org.apache.poi.sl.draw.binding.STBlackWhiteMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STBlackWhiteMode>

      public enum STBlackWhiteMode
      extends java.lang.Enum<STBlackWhiteMode>

  Java class for ST_BlackWhiteMode.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_BlackWhiteMode">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="clr"/>
           <enumeration value="auto"/>
           <enumeration value="gray"/>
           <enumeration value="ltGray"/>
           <enumeration value="invGray"/>
           <enumeration value="grayWhite"/>
           <enumeration value="blackGray"/>
           <enumeration value="blackWhite"/>
           <enumeration value="black"/>
           <enumeration value="white"/>
           <enumeration value="hidden"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatic
    `BLACK` Black
    `BLACK_GRAY` Black and Gray
    `BLACK_WHITE` Black and White
    `CLR` Color
    `GRAY` Gray
    `GRAY_WHITE` Gray and White
    `HIDDEN` Hidden
    `INV_GRAY` Inverse Gray
    `LT_GRAY` Light Gray
    `WHITE` White

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STBlackWhiteMode` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STBlackWhiteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STBlackWhiteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLR

          public static final STBlackWhiteMode CLR

      Color

    - #### AUTO

          public static final STBlackWhiteMode AUTO

      Automatic

    - #### GRAY

          public static final STBlackWhiteMode GRAY

      Gray

    - #### LT_GRAY

          public static final STBlackWhiteMode LT_GRAY

      Light Gray

    - #### INV_GRAY

          public static final STBlackWhiteMode INV_GRAY

      Inverse Gray

    - #### GRAY_WHITE

          public static final STBlackWhiteMode GRAY_WHITE

      Gray and White

    - #### BLACK_GRAY

          public static final STBlackWhiteMode BLACK_GRAY

      Black and Gray

    - #### BLACK_WHITE

          public static final STBlackWhiteMode BLACK_WHITE

      Black and White

    - #### BLACK

          public static final STBlackWhiteMode BLACK

      Black

    - #### WHITE

          public static final STBlackWhiteMode WHITE

      White

    - #### HIDDEN

          public static final STBlackWhiteMode HIDDEN

      Hidden

  - ### Method Detail

    - #### values

          public static STBlackWhiteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STBlackWhiteMode c : STBlackWhiteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STBlackWhiteMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STBlackWhiteMode fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.